package cn.yw.machinemanage.dao;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachinecurrentstateDao")
public class YwmachinecurrentstateDao  extends BaseSqlMapDAO{
	
	/**
	 * 增加记录
	 */
	/*
	public void insert_Ywmachinecurrentstate(Map map) throws SQLException{
		this.insert("insert_Ywmachinecurrentstate",map);
	}
	*/
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywmachinecurrentstate(List batch) throws SQLException{
		this.insert("batch_insert_Ywmachinecurrentstate",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywmachinecurrentstate(Map map) throws SQLException{
		return this.update("update_Ywmachinecurrentstate",map);
	}

	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Ywmachinecurrentstate(Map map) throws SQLException{
		return this.delete("delete_Ywmachinecurrentstate",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywmachinecurrentstate(Map map) throws SQLException{
		return this.delete("batch_delete_Ywmachinecurrentstate",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywmachinecurrentstate(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachinecurrentstate",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywmachinecurrentstate(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachinecurrentstate",map);
	}
	public List<Map> listMachineInfo(Map map) throws SQLException{
		return this.queryForList("listMachineInfo",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachinecurrentstate(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachinecurrentstate",map);
	}
	
	public List<Map> statisticsMachineOnlineRate() throws SQLException{
		return (List<Map>) this.queryForList("statisticsMachineOnlineRate",new HashMap());
	}
	public List<Map> listStatisticsMachineIntactRate() throws SQLException{
		return (List<Map>) this.queryForList("listStatisticsMachineIntactRate",new HashMap());
	}
}
